summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAshwin Vishnu2020-10-15 10:15:57 +0200
committerAshwin Vishnu2020-10-15 10:15:57 +0200
commit087c1a4976a21eccc92bb248490c5abbd89c5189 (patch)
tree74fdb28776a02907ef0be19f989cd9476812d960
parent42fd8bd8a89f04a80a0b488192c392cfa2aa7257 (diff)
downloadaur-ipython-ipyparallel.tar.gz
Remove python2 package, specify dependencies
Try to keep the same pkgbase
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD43
2 files changed, 20 insertions, 43 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ed343c66b6b..6d3c0580ed1 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,23 +1,21 @@
pkgbase = ipython-ipyparallel
pkgdesc = Interactive Parallel Computing in Python
- pkgver = 6.2.5
+ pkgver = 6.3.0
pkgrel = 1
url = https://github.com/ipython/ipyparallel
arch = any
license = BSD
makedepends = python-setuptools
- makedepends = python2-setuptools
- optdepends = openmpi: to use the MPI Launchers in ipcluster command
- source = https://github.com/ipython/ipyparallel/archive/6.2.5.tar.gz
- sha256sums = f6de54a29f7beb97872aa49dfa606dea5f3ed20d2433e3a7200ac2ea9b2a4388
-
-pkgname = ipython-ipyparallel
depends = ipython
depends = python-setuptools
+ depends = python-jupyter_client
+ depends = python-tornado
+ depends = python-decorator
+ optdepends = openmpi: to use the MPI Launchers in ipcluster command
conflicts = ipython2-ipyparallel
+ replaces = ipython-ipyparallel
+ source = https://files.pythonhosted.org/packages/source/i/ipyparallel/ipyparallel-6.3.0.tar.gz
+ sha256sums = 0a97b276c62db633e9e97a816282bdd166f9df74e28204f0c8fa54b71944cfdc
-pkgname = ipython2-ipyparallel
- depends = ipython2
- depends = python2-setuptools
- conflicts = ipython-ipyparallel
+pkgname = python-ipyparallel
diff --git a/PKGBUILD b/PKGBUILD
index 93d160bc86e..6a7c1516ddb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,35 +1,29 @@
# Maintainer: Ashwin Vishnu <ashwinvis+arch at pr0t0nm4il dot com>
# Contributor: xantares
-pkgbase=ipython-ipyparallel
-pkgname=('ipython-ipyparallel' 'ipython2-ipyparallel')
-pkgver=6.2.5
+_name=ipyparallel
+pkgbase=ipython-${_name}
+pkgname=python-${_name}
+pkgver=6.3.0
pkgrel=1
pkgdesc="Interactive Parallel Computing in Python"
url="https://github.com/ipython/ipyparallel"
arch=(any)
license=('BSD')
-makedepends=('python-setuptools' 'python2-setuptools')
+makedepends=('python-setuptools')
optdepends=('openmpi: to use the MPI Launchers in ipcluster command')
-source=("https://github.com/ipython/ipyparallel/archive/${pkgver}.tar.gz")
-sha256sums=('f6de54a29f7beb97872aa49dfa606dea5f3ed20d2433e3a7200ac2ea9b2a4388')
-
-prepare() {
- cp -a "${srcdir}/ipyparallel-$pkgver"{,-py2}
-}
+source=("https://files.pythonhosted.org/packages/source/${_name::1}/$_name/$_name-$pkgver.tar.gz")
+sha256sums=('0a97b276c62db633e9e97a816282bdd166f9df74e28204f0c8fa54b71944cfdc')
+depends=('ipython' 'python-setuptools' 'python-jupyter_client' 'python-tornado' 'python-decorator')
+conflicts=('ipython2-ipyparallel')
+replaces=('ipython-ipyparallel')
build() {
cd "${srcdir}/ipyparallel-$pkgver"
python setup.py build
-
- cd "${srcdir}/ipyparallel-$pkgver-py2"
- python2 setup.py build
}
-package_ipython-ipyparallel() {
- depends=('ipython' 'python-setuptools')
- conflicts=('ipython2-ipyparallel')
-
+package() {
cd "${srcdir}/ipyparallel-$pkgver"
python setup.py install --root="${pkgdir}" --optimize=1 --skip-build
@@ -37,18 +31,3 @@ package_ipython-ipyparallel() {
mv "$pkgdir/usr/etc" "$pkgdir/etc"
}
-
-package_ipython2-ipyparallel() {
- depends=('ipython2' 'python2-setuptools')
- conflicts=('ipython-ipyparallel')
-
- cd "${srcdir}/ipyparallel-$pkgver-py2"
- python2 setup.py install --root="${pkgdir}" --optimize=1 --skip-build
-
- install -Dm644 COPYING.md "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
- mv "$pkgdir/usr/etc" "$pkgdir/etc"
- mv "${pkgdir}"/usr/bin/ipcluster "${pkgdir}"/usr/bin/ipcluster2
- mv "${pkgdir}"/usr/bin/ipcontroller "${pkgdir}"/usr/bin/ipcontroller2
- mv "${pkgdir}"/usr/bin/ipengine "${pkgdir}"/usr/bin/ipengine2
-}